from django.contrib import admin
from simulation.models import Product, Couple, FinalFittingSet, SelectedCoupleSet, Function, Fitting, MainFabric, \
    ProductType, Mannequin, ElectronicBookCatalog, FittingCategory
# Register your models here.


class ProductAdmin(admin.ModelAdmin):
    list_display = ('id', 'name')


class CoupleAdmin(admin.ModelAdmin):
    list_display = ('id',)


class FinalFittingSetAdmin(admin.ModelAdmin):
    list_display = ('id',)


class SelectedCoupleSetAdmin(admin.ModelAdmin):
    list_display = ('id',)


class FunctionAdmin(admin.ModelAdmin):
    list_display = ('id', 'name',)


class FittingAdmin(admin.ModelAdmin):
    list_display = ('id',)


class MainFabricAdmin(admin.ModelAdmin):
    list_display = ('id',)


class ProductTypeAdmin(admin.ModelAdmin):
    list_display = ('id',)


class MannequinAdmin(admin.ModelAdmin):
    list_display = ('id', 'season', 'style', 'gender',)


class ElectronicBookCatalogAdmin(admin.ModelAdmin):
    list_display = ('id', 'couple',)


class FittingCategoryAdmin(admin.ModelAdmin):
    list_display = ('id',)


admin.site.register(Product, ProductAdmin)
admin.site.register(Couple, CoupleAdmin)
admin.site.register(FinalFittingSet, FinalFittingSetAdmin)
admin.site.register(SelectedCoupleSet, SelectedCoupleSetAdmin)
admin.site.register(Function, FunctionAdmin)
admin.site.register(Fitting, FittingAdmin)
admin.site.register(MainFabric, MainFabricAdmin)
admin.site.register(ProductType, ProductTypeAdmin)
admin.site.register(Mannequin, MannequinAdmin)
admin.site.register(ElectronicBookCatalog, ElectronicBookCatalogAdmin)
admin.site.register(FittingCategory, FittingCategoryAdmin)
